How would you like us to improve your product?

TLS 1.2 Support

We just installed Maximizer 2018 R2 and found that we had to enable TLS 1.0 to get it working. TLS 1.0 is no longer secure and our security team is advising against us using Maximizer. Please add support for TLS 1.2 throughout the entire application.

This includes ww2.maximizer.com which is currently blocked by our security team because its TLS/SSL support is so bad. See this link for details:
https://www.ssllabs.com/ssltest/analyze.html?d=ww2.maximizer.com

12 votes
Vote
Sign in
Check!
(thinking…)
Reset
or sign in with
  • facebook
  • google
    Password icon
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    Shah shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

    0 comments

    Sign in
    Check!
    (thinking…)
    Reset
    or sign in with
    • facebook
    • google
      Password icon
      Signed in as (Sign out)
      Submitting...

      Feedback and Knowledge Base